/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfiguration;

import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record12;
import org.jooq.Row12;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PerfConfigurationRecord extends UpdatableRecordImpl<PerfConfigurationRecord> implements Record12<Integer, Byte, Timestamp, String, String, String, String, String, Timestamp, Byte, Timestamp, Timestamp> {

    private static final long serialVersionUID = 853714476;

    /**
     * Setter for <code>PERF_CONFIGURATION.CONFIGURATION_ID</code>.
     */
    public void setConfigurationId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.CONFIGURATION_ID</code>.
     */
    public Integer getConfigurationId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.ACTIVE</code>.
     */
    public void setActive(Byte value) {
        set(1, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.ACTIVE</code>.
     */
    public Byte getActive() {
        return (Byte) get(1);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.CREATED</code>.
     */
    public void setCreated(Timestamp value) {
        set(2, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.CREATED</code>.
     */
    public Timestamp getCreated() {
        return (Timestamp) get(2);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.CREATED_BY</code>.
     */
    public void setCreatedBy(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.CREATED_BY</code>.
     */
    public String getCreatedBy() {
        return (String) get(3);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.DOMAIN</code>.
     */
    public void setDomain(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.DOMAIN</code>.
     */
    public String getDomain() {
        return (String) get(4);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.EDITED_BY</code>.
     */
    public void setEditedBy(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.EDITED_BY</code>.
     */
    public String getEditedBy() {
        return (String) get(5);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.CONF_KEY</code>.
     */
    public void setConfKey(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.CONF_KEY</code>.
     */
    public String getConfKey() {
        return (String) get(6);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.CONF_LABEL</code>.
     */
    public void setConfLabel(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.CONF_LABEL</code>.
     */
    public String getConfLabel() {
        return (String) get(7);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.MODIFIED</code>.
     */
    public void setModified(Timestamp value) {
        set(8, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.MODIFIED</code>.
     */
    public Timestamp getModified() {
        return (Timestamp) get(8);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.TOP_LEVEL</code>.
     */
    public void setTopLevel(Byte value) {
        set(9, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.TOP_LEVEL</code>.
     */
    public Byte getTopLevel() {
        return (Byte) get(9);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.VALID_FROM</code>.
     */
    public void setValidFrom(Timestamp value) {
        set(10, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.VALID_FROM</code>.
     */
    public Timestamp getValidFrom() {
        return (Timestamp) get(10);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION.VALID_TO</code>.
     */
    public void setValidTo(Timestamp value) {
        set(11, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION.VALID_TO</code>.
     */
    public Timestamp getValidTo() {
        return (Timestamp) get(11);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record12 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row12<Integer, Byte, Timestamp, String, String, String, String, String, Timestamp, Byte, Timestamp, Timestamp> fieldsRow() {
        return (Row12) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row12<Integer, Byte, Timestamp, String, String, String, String, String, Timestamp, Byte, Timestamp, Timestamp> valuesRow() {
        return (Row12) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return PerfConfiguration.PERF_CONFIGURATION.CONFIGURATION_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Byte> field2() {
        return PerfConfiguration.PERF_CONFIGURATION.ACTIVE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field3() {
        return PerfConfiguration.PERF_CONFIGURATION.CREATED;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return PerfConfiguration.PERF_CONFIGURATION.CREATED_BY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return PerfConfiguration.PERF_CONFIGURATION.DOMAIN;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return PerfConfiguration.PERF_CONFIGURATION.EDITED_BY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return PerfConfiguration.PERF_CONFIGURATION.CONF_KEY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field8() {
        return PerfConfiguration.PERF_CONFIGURATION.CONF_LABEL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field9() {
        return PerfConfiguration.PERF_CONFIGURATION.MODIFIED;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Byte> field10() {
        return PerfConfiguration.PERF_CONFIGURATION.TOP_LEVEL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field11() {
        return PerfConfiguration.PERF_CONFIGURATION.VALID_FROM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field12() {
        return PerfConfiguration.PERF_CONFIGURATION.VALID_TO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getConfigurationId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte component2() {
        return getActive();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component3() {
        return getCreated();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getCreatedBy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getDomain();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getEditedBy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getConfKey();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component8() {
        return getConfLabel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component9() {
        return getModified();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte component10() {
        return getTopLevel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component11() {
        return getValidFrom();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component12() {
        return getValidTo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getConfigurationId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte value2() {
        return getActive();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value3() {
        return getCreated();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getCreatedBy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getDomain();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getEditedBy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getConfKey();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value8() {
        return getConfLabel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value9() {
        return getModified();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte value10() {
        return getTopLevel();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value11() {
        return getValidFrom();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value12() {
        return getValidTo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value1(Integer value) {
        setConfigurationId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value2(Byte value) {
        setActive(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value3(Timestamp value) {
        setCreated(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value4(String value) {
        setCreatedBy(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value5(String value) {
        setDomain(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value6(String value) {
        setEditedBy(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value7(String value) {
        setConfKey(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value8(String value) {
        setConfLabel(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value9(Timestamp value) {
        setModified(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value10(Byte value) {
        setTopLevel(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value11(Timestamp value) {
        setValidFrom(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord value12(Timestamp value) {
        setValidTo(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationRecord values(Integer value1, Byte value2, Timestamp value3, String value4, String value5, String value6, String value7, String value8, Timestamp value9, Byte value10, Timestamp value11, Timestamp value12) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        value10(value10);
        value11(value11);
        value12(value12);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached PerfConfigurationRecord
     */
    public PerfConfigurationRecord() {
        super(PerfConfiguration.PERF_CONFIGURATION);
    }

    /**
     * Create a detached, initialised PerfConfigurationRecord
     */
    public PerfConfigurationRecord(Integer configurationId, Byte active, Timestamp created, String createdBy, String domain, String editedBy, String confKey, String confLabel, Timestamp modified, Byte topLevel, Timestamp validFrom, Timestamp validTo) {
        super(PerfConfiguration.PERF_CONFIGURATION);

        set(0, configurationId);
        set(1, active);
        set(2, created);
        set(3, createdBy);
        set(4, domain);
        set(5, editedBy);
        set(6, confKey);
        set(7, confLabel);
        set(8, modified);
        set(9, topLevel);
        set(10, validFrom);
        set(11, validTo);
    }
}
